### Enumeration

# Qmi WdsAddressAllocationPreference

since: 1.36

#### Declaration

    enum Qmi.WdsAddressAllocationPreference

#### Description [src]

Address allocation preference.

Available since: 1.36

#### Members

`QMI_WDS_ADDRESS_ALLOCATION_PREFERENCE_NAS`

  Allocate via Network Access Stratum (NAS).

  - Value: `0`
  - Available since: 1.36
`QMI_WDS_ADDRESS_ALLOCATION_PREFERENCE_DHCP`

  Allocate via DHCP.

  - Value: `1`
  - Available since: 1.36

#### Type functions

###### qmi_wds_address_allocation_preference_get_string

Gets the nickname string for the `QmiWdsAddressAllocationPreference` specified at `val`.

since: 1.36